# QVector4D Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QVector4D()
- void QVector4D(QPoint point)
- void QVector4D(QPointF point)
- void QVector4D(QVector2D vector)
- void QVector4D(QVector2D vector, qreal zpos, qreal wpos)
- void QVector4D(QVector3D vector)
- void QVector4D(QVector3D vector, qreal wpos)
- void QVector4D(qreal xpos, qreal ypos, qreal zpos, qreal wpos)

### Constructor Properties

- prototype: The QVector4D prototype object
- qreal dotProduct(QVector4D v1, QVector4D v2)

### Prototype Object Properties

- bool isNull()
- qreal length()
- qreal lengthSquared()
- void normalize()
- QVector4D normalized()
- QVector4D operator_add_assign(QVector4D vector)
- QVector4D operator_divide_assign(qreal divisor)
- bool operator_equal(QVector4D v2)
- QVector4D operator_multiply_assign(QVector4D vector)
- QVector4D operator_subtract_assign(QVector4D vector)
- void readFrom(QDataStream arg__1)
- void setW(qreal w)
- void setX(qreal x)
- void setY(qreal y)
- void setZ(qreal z)
- QPoint toPoint()
- QPointF toPointF()
- QVector2D toVector2D()
- QVector2D toVector2DAffine()
- QVector3D toVector3D()
- QVector3D toVector3DAffine()
- qreal w()
- void writeTo(QDataStream arg__1)
- qreal x()
- qreal y()
- qreal z()

### Instance Properties

QVector4D objects have no special properties beyond those inherited from the QVector4D prototype object.